#!/bin/sh

if [[ ! "$QUERY_STRING" == *LINE* ]]; then

OIFS="$IFS"
IFS='=' array=($QUERY_STRING)
IFS="$OIFS"
len=${array[0]}
echo -e "Content-Type: application/vnd.apple.mpegURL\n"
echo "#EXTM3U"
echo "#EXT-X-VERSION:5"
echo "#EXT-X-PLAYLIST-TYPE:VOD"
echo "#EXT-X-TARGETDURATION:5"
a=0
let c=$len/5
for ((i=1; i <= c; i++))
do
echo "#EXTINF:5,"
echo "http://127.0.0.1/cgi-bin/plugins/ffmpeg_install/yt.sh?LINE=$a"
a=$(( $a + 5 ))
done
echo "#EXT-X-ENDLIST"

else


BINX="/flashdata/plugins/ffmpeg_install/bin"
PLUGINBIN=`echo "${PATH}" | grep -c "$BINX" `
if [ $PLUGINBIN == 0 ]; 
then
      export PATH="${BINX}":$PATH
fi
kill -9 $(ps -A | grep "ffmpeg" | awk '{print($1)}') 2>/dev/null

first_url=$(cat /tmp/plugins/yt_Dash_video)
second_url=$(cat /tmp/plugins/yt_Dash_audio)

OIFS="$IFS"
IFS='=' array=($QUERY_STRING)
IFS="$OIFS"
Seek=${array[1]}

current_ts=$(echo $QUERY_STRING | sed s"|LINE=||")
echo "$current_ts" >> /tmp/plugins/meter.txt
last_ts=$(cat /tmp/plugins/meter.txt | tail -n 2 | head -1)
next=$(($current_ts - $last_ts))
if [ "$next" -ne 5 ]
then

echo -e "Content-type: video/mpegts\n\n"
if grep -q android_platform=rtd1295 /tmp/run/versions.txt
then
ffmpeg -ss ${Seek} -i ${first_url} -ss ${Seek} -reconnect true -i ${second_url} -c copy -vbsf h264_mp4toannexb -f mpegts pipe:1
else
ffmpeg -ss ${Seek} -i ${first_url} -re -ss ${Seek} -reconnect true -i ${second_url} -c copy -vbsf h264_mp4toannexb -f mpegts pipe:1
fi
else
mydir=`dirname "$0"`
mydir=`cd "$mydir" && pwd`
echo -e "Content-type: video/mpegts\n\n"                        
cat "$mydir/empty"
fi
fi
